<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Jul 16 20:56:32 CLT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>G-Index</title>
<meta name="date" content="2018-07-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../controllers/AutorController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase Autor se busca ese autor en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/CategoriaController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase Categoriase bsuca esa categoria en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/EditorialController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase Editorial se busca ese editorial en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/EstadoController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/EstadoController.html" title="class in controllers">EstadoController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase Estado se busca ese estado en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/IdiomaController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/IdiomaController.html" title="class in controllers">IdiomaController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase Idioma se busca ese idioma en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/LibroController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/LibroController.html" title="class in controllers">LibroController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase Libro se busca ese libro en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#get-java.lang.Integer-">get(Integer)</a></span> - Method in class controllers.<a href="../controllers/MetodoDePagoController.html" title="class in controllers">MetodoDePagoController</a></dt>
<dd>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase MetodoDePago se busca ese metodo_de_pago en la BD</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/AutorController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a></dt>
<dd>
<div class="block">Obtiene los campos del objeto de la instancia Autor y los entrega en un objeto anonimo</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/CategoriaController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/EditorialController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a></dt>
<dd>
<div class="block">Obtiene los campos del objeto de la instancia Editorial y los entrega en un objeto anonimo</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/EstadoController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/EstadoController.html" title="class in controllers">EstadoController</a></dt>
<dd>
<div class="block">Obtiene los campos del objeto de la instancia Estado y los entrega en un objeto anonimo</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/IdiomaController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/IdiomaController.html" title="class in controllers">IdiomaController</a></dt>
<dd>
<div class="block">Obtiene los campos del objeto de la instancia Idioma y los entrega en un objeto anonimo</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/LibroController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/LibroController.html" title="class in controllers">LibroController</a></dt>
<dd>
<div class="block">Obtiene los campos del objeto de la instancia Libro y los entrega en un objeto anonimo</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#get_fields--">get_fields()</a></span> - Method in class controllers.<a href="../controllers/MetodoDePagoController.html" title="class in controllers">MetodoDePagoController</a></dt>
<dd>
<div class="block">Obtiene los campos del objeto de la instancia MetodoDePago y los entrega en un objeto anonimo</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getAnio--">getAnio()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de anio</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#getApellido_materno--">getApellido_materno()</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">getter del campo apellido_materno</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#getApellido_paterno--">getApellido_paterno()</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Obtiene el valor de apellido_paterno</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getAutores_objects--">getAutores_objects()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getCategorias_objects--">getCategorias_objects()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getEditorial--">getEditorial()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getEditorial_id--">getEditorial_id()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Estado.html#getEstado--">getEstado()</a></span> - Method in class models.<a href="../models/Estado.html" title="class in models">Estado</a></dt>
<dd>
<div class="block">Obtiene el valor de estado</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#getId--">getId()</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Obtiene el valor del id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Categoria.html#getId--">getId()</a></span> - Method in class models.<a href="../models/Categoria.html" title="class in models">Categoria</a></dt>
<dd>
<div class="block">Obtiene el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Editorial.html#getId--">getId()</a></span> - Method in class models.<a href="../models/Editorial.html" title="class in models">Editorial</a></dt>
<dd>
<div class="block">Obtiene el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Estado.html#getId--">getId()</a></span> - Method in class models.<a href="../models/Estado.html" title="class in models">Estado</a></dt>
<dd>
<div class="block">Obtiene el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Idioma.html#getId--">getId()</a></span> - Method in class models.<a href="../models/Idioma.html" title="class in models">Idioma</a></dt>
<dd>
<div class="block">Obtiene el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getId--">getId()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/MetodoDePago.html#getId--">getId()</a></span> - Method in class models.<a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a></dt>
<dd>
<div class="block">Obtiene el valor de id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Idioma.html#getIdioma--">getIdioma()</a></span> - Method in class models.<a href="../models/Idioma.html" title="class in models">Idioma</a></dt>
<dd>
<div class="block">Obtiene el valor de idioma</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getIds_autores--">getIds_autores()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getIds_categorias--">getIds_categorias()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de editorial_id</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getIsbn--">getIsbn()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de isbn</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Autor.html#getNombre--">getNombre()</a></span> - Method in class models.<a href="../models/Autor.html" title="class in models">Autor</a></dt>
<dd>
<div class="block">Obtiene el valor del nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Categoria.html#getNombre--">getNombre()</a></span> - Method in class models.<a href="../models/Categoria.html" title="class in models">Categoria</a></dt>
<dd>
<div class="block">Obtiene el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Editorial.html#getNombre--">getNombre()</a></span> - Method in class models.<a href="../models/Editorial.html" title="class in models">Editorial</a></dt>
<dd>
<div class="block">Obtiene el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/MetodoDePago.html#getNombre--">getNombre()</a></span> - Method in class models.<a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a></dt>
<dd>
<div class="block">Obtiene el valor de nombre</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getNum_paginas--">getNum_paginas()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de num_paginas</div>
</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getPrecio--">getPrecio()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de precio</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao/DBConnection.html#getProperties--">getProperties()</a></span> - Method in class dao.<a href="../dao/DBConnection.html" title="class in dao">DBConnection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../models/Libro.html#getTitulo--">getTitulo()</a></span> - Method in class models.<a href="../models/Libro.html" title="class in models">Libro</a></dt>
<dd>
<div class="block">Obtiene el valor de titulo</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
